> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List of Video Conferences

> Use this endpoint to get the list of video calls for a specific room. Rate limiting: 3 requests per 1000ms.

## OpenAPI

````json GET /api/v1/video-conference.list
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Settings"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "paths": {
    "/api/v1/video-conference.list": {
      "get": {
        "summary": "Get List of Video Conferences",
        "tags": [
          "Video Conference"
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "_id": {
                            "type": "string"
                          },
                          "type": {
                            "type": "string"
                          },
                          "users": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "_id": {
                                  "type": "string"
                                },
                                "username": {
                                  "type": "string"
                                },
                                "name": {
                                  "type": "string"
                                },
                                "avatarETag": {
                                  "type": "string"
                                },
                                "ts": {
                                  "type": "string"
                                }
                              }
                            }
                          },
                          "messages": {
                            "type": "object",
                            "properties": {
                              "started": {
                                "type": "string"
                              }
                            }
                          },
                          "status": {
                            "type": "integer"
                          },
                          "anonymousUsers": {
                            "type": "integer"
                          },
                          "createdAt": {
                            "type": "string"
                          },
                          "providerName": {
                            "type": "string"
                          },
                          "ringing": {
                            "type": "boolean"
                          },
                          "title": {
                            "type": "string"
                          },
                          "rid": {
                            "type": "string"
                          },
                          "createdBy": {
                            "type": "object",
                            "properties": {
                              "_id": {
                                "type": "string"
                              },
                              "name": {
                                "type": "string"
                              },
                              "username": {
                                "type": "string"
                              }
                            }
                          },
                          "_updatedAt": {
                            "type": "string"
                          },
                          "url": {
                            "type": "string"
                          },
                          "endedAt": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    "offset": {
                      "type": "integer"
                    },
                    "count": {
                      "type": "integer"
                    },
                    "total": {
                      "type": "integer"
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "data": [
                        {
                          "_id": "69786d0ac8b05330207814bd",
                          "type": "videoconference",
                          "users": [
                            {
                              "_id": "fRv4qm8ycWHXSA7af",
                              "username": "jane.doe",
                              "name": "jane",
                              "avatarETag": null,
                              "ts": "2026-01-27T07:45:14.977Z"
                            }
                          ],
                          "messages": {
                            "started": "8AqsmsMXDePKfDbHv"
                          },
                          "status": "1",
                          "anonymousUsers": "0",
                          "createdAt": "2026-01-27T07:45:14.533Z",
                          "providerName": "googlemeet",
                          "ringing": "true",
                          "title": "ui-test",
                          "rid": "674eca3e43725ce31dd9a2e8",
                          "createdBy": {
                            "_id": "fRv4qm8ycWHXSA7af",
                            "name": "jane",
                            "username": "jane.doe"
                          },
                          "_updatedAt": "2026-01-27T07:45:14.977Z",
                          "url": "http://g.co/meet/RocketChat_69786d0ac8b05330207814bd"
                        },
                        {
                          "_id": "6772586c8dd061cca4edc998",
                          "type": "videoconference",
                          "users": [
                            {
                              "_id": "fRv4qm8ycWHXSA7af",
                              "username": "jane.doe",
                              "name": "jane",
                              "ts": "2024-12-30T08:23:11.13Z"
                            }
                          ],
                          "messages": {
                            "started": "sTDmP2WSH6Rwt89iw"
                          },
                          "status": "2",
                          "anonymousUsers": "0",
                          "createdAt": "2024-12-30T08:23:08.655Z",
                          "providerName": "jitsi",
                          "rid": "674eca3e43725ce31dd9a2e8",
                          "title": "ui-test",
                          "createdBy": {
                            "_id": "fRv4qm8ycWHXSA7af",
                            "name": "jane",
                            "username": "jane.doe"
                          },
                          "_updatedAt": "2024-12-31T09:00:00.025Z",
                          "url": "https://meet.jit.si/RocketChat6772586c8dd061cca4edc998",
                          "endedAt": "2024-12-31T09:00:00.025Z"
                        }
                      ],
                      "offset": "0",
                      "count": "2",
                      "total": "2",
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "success": "false",
                      "error": "must have required property 'roomId' [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          }
        },
        "operationId": "get-api-v1-video-conference.list",
        "description": "Use this endpoint to get the list of video calls for a specific room. Rate limiting: 3 requests per 1000ms.",
        "parameters": [
          {
            "$ref": "#/components/parameters/X-User-Id"
          },
          {
            "$ref": "#/components/parameters/X-Auth-Token"
          },
          {
            "schema": {
              "type": "string",
              "example": "674eca3e43725ce31dd9a2e8"
            },
            "in": "query",
            "name": "roomId",
            "description": "Enter the room ID for which you want to view the list of video conferences. Make sure that you have access to the room.",
            "required": "true"
          },
          {
            "$ref": "#/components/parameters/offset"
          },
          {
            "$ref": "#/components/parameters/count"
          }
        ]
      }
    }
  },
  "components": {
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    },
    "parameters": {
      "X-User-Id": {
        "name": "X-User-Id",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "CkCPNctrgCDfmWLqC",
        "description": "The user ID."
      },
      "X-Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE",
        "description": "The authentication token."
      },
      "offset": {
        "name": "offset",
        "in": "query",
        "required": "false",
        "schema": {
          "type": "integer"
        },
        "example": "50",
        "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more."
      },
      "count": {
        "name": "count",
        "in": "query",
        "required": "false",
        "schema": {
          "type": "integer"
        },
        "example": "50",
        "description": "How many items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more."
      }
    }
  }
}
````

